/* Various I/O definitions specific to the Atari ST */

/* Iorec structure as defined by Atari BIOS */
struct iorec {
	char *ibuf;		/* pointer to buffer */
	int16 ibufsiz;		/* size of buffer */
	int16 ibufhd;		/* head index */
	int16 ibuftl;		/* tail index */
	int16 ibuflow;		/* low-water mark */
	int16 ibufhi;		/* high-water mark */
};

/* Asynch controller control block */
struct asy {
	struct iorec *in,*out;	/* ptr to current iorecs */
	struct iorec oldin,oldout; /* saved iorecs */
	unsigned addr;		/* Base I/O address, atari: 0 or 2 */
	unsigned vec;		/* Interrupt vector, atari: not used */
	unsigned speed;		/* Line speed */
};

extern struct asy asy[];
#define RS232		1	/* devno of RS232 */
#define MIDI		3	/* devno of MIDI */
#define MODEM1		6	/* TT MODEM1 port */
#define MODEM2		7	/* TT MODEM2 port */
#define SERIAL1		8	/* TT SERIAL1 port */
#define SERIAL2		9	/* TT SERIAL2 port */

/* DTA used by Fsfirst/Fsnext TOS calls */
struct dta {
	char rsvd[21];		/* don't touch it! */
	char attr;		/* file attribute bits */
	short ftime;		/* creation time (silly format) */
	short fdate;		/* creation date (silly format) */
	long fsize;		/* file size */
	char fname[14];		/* file name (last part) */
};
